//
//  ActionTableViewCell.swift
//  MicrocomFirstApp
//
//  Created by Microcom Developer on 8/8/17.
//  Copyright © 2017 Cameron Wrabel. All rights reserved.
//

import UIKit

class ActionTableViewCell: UITableViewCell {

    var onActionTriggered : (() -> Void)? = nil
    
    @IBOutlet weak var infoLabel: UILabel! //= UILabel()
    @IBOutlet weak var actionImageView: UIImageView! //= UIImageView()
    
    var m_infoLabelText : String = "Info"
    var m_actionImage : UIImage = #imageLiteral(resourceName: "defaultMicrocomM")
    
    
    
    var m_numClicks: UInt = 0
    
    
    
    func show(info: String, actionimg: UIImage, numclicks: UInt){
        m_infoLabelText = info
        m_actionImage = actionimg
        m_numClicks = numclicks
        
        infoLabel.text = info
        actionImageView.image = actionimg
    }
    
    func setDefaultValues(){
        m_infoLabelText = "InfoLabel"
        m_actionImage = #imageLiteral(resourceName: "defaultMicrocomM")
        m_numClicks = 0
    }
    
    override func awakeFromNib() {
        super.awakeFromNib()
        
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
        //m_numClicks += 1
        
    }
    

}
