//
//  AppDelegate.swift
//  MicrocomFirstApp
//
//  Created by Cameron Wrabel on 5/30/17.
//  Copyright © 2017 Cameron Wrabel. All rights reserved.
//

import UIKit


@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?
    
    //var inputSocket : InputStream?
    //var outputSocket : OutputStream?
   // var portNumber : UInt32 = 1235
    
    
    public static var printerConnection : TCPSocks?
    
    
    //let defaultPrefs : [String : Any] = ["printWidth" : 1280, "printerDPI" : 300, "udpDiscovery" : true, "stockWidth" : 600, "scaleImageToFitStock" : false, "padImageToFitPrintWidth" : true, "keepAspectRatio" : true, "imageChunkSize" : 64000]
    

    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplicationLaunchOptionsKey: Any]?) -> Bool {
        // Override point for customization after application launch.
        
        //let defaultApplicationSettings : [String : Any] = ["udpDiscovery" : true]
        //let defaultImagePrintingSettings : [String : Any]  = []
        //let defaultPrinterSettings : [String : Any] = []
        
        // TODO: make these the "default" values by changing the key name. This way, any subsequent saves/loads can use a "current" setting and if that setting does not exist or has been corrupted, we can revert to the default value.
        let applicationDefaultPreferences = UserDefaults.standard
        applicationDefaultPreferences.set(1280, forKey: "printWidth")
        applicationDefaultPreferences.set(300, forKey: "printerDPI")
        applicationDefaultPreferences.set("2.0", forKey: "stockWidth")
        applicationDefaultPreferences.set(50000, forKey: "imageChunkSize")
        applicationDefaultPreferences.set(true, forKey: "udpDiscovery")
        applicationDefaultPreferences.set(false, forKey: "scaleImageToFitStock")
        applicationDefaultPreferences.set(true, forKey: "padImageToFitPrintWidth")
        applicationDefaultPreferences.set(true, forKey: "maintainAspectRatio")
        applicationDefaultPreferences.set("Black Line", forKey: "mediaType")
        applicationDefaultPreferences.set("Cut after label", forKey: "dispenseMode")
        applicationDefaultPreferences.set(161, forKey: "advanceRetractDistance")
        applicationDefaultPreferences.set(0, forKey: "advanceRetractDelay")
        applicationDefaultPreferences.set(731, forKey: "dotToGap_BlackLine")
        applicationDefaultPreferences.set(371, forKey: "stepsPastGap")
        applicationDefaultPreferences.set(1, forKey: "activateGapDetection")
        applicationDefaultPreferences.set(362, forKey: "distanceToRegistrationOffset")
        applicationDefaultPreferences.set(152, forKey: "blacklineBlowholeHeight")
        applicationDefaultPreferences.set(0, forKey: "gapHeight")

        

        
        //UserDefaults.standard.setValuesForKeys(defaultPrefs)
        
        return true
    }

    func applicationWillResignActive(_ application: UIApplication) {
        // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
        // Use this method to pause ongoing tasks, disable timers, and invalidate graphics rendering callbacks. Games should use this method to pause the game.
    }

    func applicationDidEnterBackground(_ application: UIApplication) {
        // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
        // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
    }

    func applicationWillEnterForeground(_ application: UIApplication) {
        // Called as part of the transition from the background to the active state; here you can undo many of the changes made on entering the background.
    }

    func applicationDidBecomeActive(_ application: UIApplication) {
        // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
    }

    func applicationWillTerminate(_ application: UIApplication) {
        // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
    }


}

