//
//  SettingsUITextField.swift
//  MicrocomFirstApp
//
//  Created by Microcom Developer on 7/11/17.
//  Copyright © 2017 Cameron Wrabel. All rights reserved.
//

import UIKit

class SettingsUITextField: UITextField {

    public let bgColorClear : UIColor = .clear
   // static let editingTextColorPurple : UIColor = UIColor(colorLiteralRed: 145/255, green: 88/255, blue: 157/255, alpha: 1.0)
    static let editingTextColorPurple = UIColor(red: 145/255, green: 88/255, blue: 157/255, alpha: 1.0)
    static let defaultTextColorBlack : UIColor = .black
    //public let editingTextStyle : UIFontTextStyle = UIFontTextStyle.
    
    /*
    // Only override draw() if you perform custom drawing.
    // An empty implementation adversely affects performance during animation.
    override func draw(_ rect: CGRect) {
        // Drawing code
    }
    */
    override func caretRect(for position: UITextPosition) -> CGRect {
        return CGRect.zero
    }
    

  
    
    required init?(coder aDecoder: NSCoder) {
        super.init(coder: aDecoder)
        textAlignment = .right
        borderStyle = .none
        backgroundColor = bgColorClear
        textColor = .black
    }
    

}
